With the upcoming release of WordPress 2.3, be sure to check this list of compatible plugins before rushing out to upgrade your WP install. You just might bog down your own site if an essential plugin turns out to be incompatible.